> For the complete documentation index, see [llms.txt](https://docs.dot-net.uz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dot-net.uz/c-.net/desktop/winform-windows-form/3-dars.-formaga-komponentalar-joylashtirish.md).

# 3-dars. Formaga komponentalar joylashtirish

Sizlar bilan yangi forma yaratishni ko\`rib chiqdik, endi bu formaga komponentalr qo\`shish va ularni sozlashlashni ko\`rib chiqamiz.

Dastlab yangi forma yaratib olamiz va unga quydagi komponentlarni qo\`shamiz (surib olib o\`tib) :

* Label
* Button
* Listbox
* Textbox

Tashlab olgan komponentlarimizni ikki xil usulda joylashtirishimiz mumkin:

1. **Properties** bo\`limidan joylashuv(*location*) va o\`lcham(*size*)ni o\`zgartirish orqali
2. **Form Designer** qismidan komponentni surish yoki hajmini o\`zgartisih mumkin&#x20;

**Properties**  bo\`limi orqali sozlashni ko\`rib o\`tamiz:

| **Komponent** | &#xD;**Sozlanmasi** | Qiymati          |
| ------------- | ------------------- | ---------------- |
| **Form**      | Text                | *Ismlar*         |
|               | Size                | 268, 180         |
| **Label**     | Location            | 12, 9            |
|               | Text                | *Ismlar*         |
| **Listbox**   | Name                | *lstNames*       |
|               | Location            | 12, 27           |
|               | Size                | 120, 94          |
| **Textbox**   | Name                | txtName          |
|               | Location            | 138, 26          |
|               | Size                | 100, 23          |
| **Button**    | Name                | btnAdd           |
|               | Location            | 138, 55          |
|               | Size                | 100, 23          |
|               | Text                | *Ismni qo'shish* |

![](/files/-MZzywf0wGBVpfoD2fjS)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dot-net.uz/c-.net/desktop/winform-windows-form/3-dars.-formaga-komponentalar-joylashtirish.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
